POST ForeignApp
Some tooltip text!
• 4 minutes to read
• 4 minutes to read
POST /api/v1/ForeignApp
Creates a new ForeignAppEntity
Calls the ForeignSystem agent service SaveForeignAppEntity. NsApiSlow threshold: 5000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category" Default = show all fields. |
POST /api/v1/ForeignApp?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: newEntity
The ForeignAppEntity to be saved.
| Property Name | Type | Description |
|---|---|---|
| ForeignAppId | Integer | Primary key |
| Name | String | Name of foreign application |
| CreatedDate | String | Registered when in UTC. |
| UpdatedDate | String | Last updated when in UTC. |
| CreatedBy | Associate | The person that created the foreign application. |
| UpdatedBy | Associate | The person that last updated this foreign application. |
| Devices | Array | The devices that belong to this foreign app. |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: ForeignAppEntityWithLinks
| Property Name | Type | Description |
|---|---|---|
| ForeignAppId | int32 | Primary key |
| Name | string | Name of foreign application |
| CreatedDate | date-time | Registered when in UTC. |
| UpdatedDate | date-time | Last updated when in UTC. |
| CreatedBy | Associate | The person that created the foreign application. |
| UpdatedBy | Associate | The person that last updated this foreign application. |
| Devices | array | The devices that belong to this foreign app. |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
| _Links | object |
Sample request
POST /api/v1/ForeignApp
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: fr,de,ru,zh
Content-Type: application/json; charset=utf-8
{
"ForeignAppId": 378,
"Name": "Stehr Inc and Sons",
"CreatedDate": "2000-12-29T14:34:01.9870942+01:00",
"UpdatedDate": "2004-01-24T14:34:01.9870942+01:00",
"CreatedBy": null,
"UpdatedBy": null,
"Devices": [
{
"ForeignDeviceId": 678,
"Name": "Goodwin-Weissnat",
"CreatedDate": "2017-09-13T14:34:01.9870942+02:00",
"UpdatedDate": "2015-07-24T14:34:01.9870942+02:00",
"AssociateFullName": "Francis Jacobi MD",
"CreatedBy": "qui",
"UpdatedBy": "voluptatem",
"DeviceIdentifier": "officiis",
"ForeignAppId": 896
}
]
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"ForeignAppId": 525,
"Name": "Osinski LLC",
"CreatedDate": "1999-09-04T14:34:01.9870942+02:00",
"UpdatedDate": "2000-03-23T14:34:01.9870942+01:00",
"CreatedBy": null,
"UpdatedBy": null,
"Devices": [
{
"ForeignDeviceId": 955,
"Name": "Google Sync",
"CreatedDate": "2015-01-03T14:34:01.9870942+01:00",
"UpdatedDate": "2007-06-01T14:34:01.9870942+02:00",
"AssociateFullName": "Prof. Joan Marquardt IV",
"CreatedBy": "eum",
"UpdatedBy": "qui",
"DeviceIdentifier": "accusantium",
"ForeignAppId": 798,
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 85
}
}
}
],
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 335
}
},
"_Links": {
"Self": "https://www.example.com/api/v1/project/321",
"Archive": "https://www.example.com/api/v1/project"
}
}